[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# GetButtonIcon

Gets a bitmap with the glyph image for the specified button identifier.

## Declaration

Source position: buttons.pp line 531

`function GetButtonIcon(`
`idButton: Integer`
`):TCustomBitmap;`

## Arguments

`idButton` |  | Numeric button identifier for the glyph loaded in the routine.

## Function result

Bitmap instance with the glyph for the specified button.

## Description

GetButtonIcon is a TCustomBitmap function used to get a bitmap with the glyph for the button identifier in idButton. GetButtonIcon calls the GetStockImage routine in ThemeServices to get the handle used for the stock image. If the return value is False, the GetDefaultButtonIcon routine is called to get the icon for the button identifier.

GetButtonIcon is used in the implementation of the LoadGlyphFromStock routine.

## See also

LoadGlyphFromStock |  | Loads the bitmap for the specified Glyph using the image for the specified button identifier.